<template>
  <el-dropdown
    trigger="click"
    class="international"
    @command="handleSetLanguage"
  >
    <div>
      <svg-icon
        class="language"
        class-name="international-icon"
        icon-class="language"
      />
    </div>
    <el-dropdown-menu slot="dropdown">
      <el-dropdown-item :disabled="language === 'zh'" command="zh">
        中文
      </el-dropdown-item>
      <el-dropdown-item :disabled="language === 'en'" command="en">
        English
      </el-dropdown-item>
      <!-- <el-dropdown-item :disabled="language === 'es'" command="es">
        Español
      </el-dropdown-item>
      <el-dropdown-item :disabled="language === 'ja'" command="ja">
        日本語
      </el-dropdown-item> -->
    </el-dropdown-menu>
  </el-dropdown>
</template>

<script>
import { systemLang } from '@/api/user'
import { setToken } from '@/utils/auth'
export default {
  computed: {
    language() {
      return this.$store.getters.language
    }
  },
  methods: {
    handleSetLanguage(lang) {
      this.$i18n.locale = lang
      let languageKey = lang
      switch (languageKey) {
        case 'zh':
          languageKey = 1
          break
        case 'en':
          languageKey = 2
          break
        default:
          languageKey = 1
      }
      systemLang(languageKey).then(res => {
        var token = res.data.token.token
        token && setToken(token)
      })
      this.$store.dispatch('app/setLanguage', lang)
      this.$message({
        message: 'Switch Language Success',
        type: 'success'
      })
      this.$store.dispatch('fmeaTree/set', {
        key: 'pageLanguage',
        value: languageKey
      })
      // location.reload()
    }
  }
}
</script>
<style lang="scss" scoped>
.language {
  color: #fff;
}
</style>
